#
# spec file for package xmcd (Version 3.0.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openmotif openmotif-devel update-desktop-files xf86
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs autoconf automake binutils cracklib fontconfig fontconfig-devel gcc gdbm gettext libtool openmotif openmotif-devel openmotif-libs perl rpm update-desktop-files

Name:         xmcd
License:      GPL
Group:        Productivity/Multimedia/CD/Players
Autoreqprov:  on
Version:      3.0.2
Release:      552
Summary:      Motif(tm) CD Audio Player
URL:          http://metalab.unc.edu/tkan/xmcd
Source0:      ftp://ftp.x.org/contrib/applications/xmcd/%{name}-%{version}.tar.bz2
Source1:      README.SuSE
Source2:      %name.desktop
Patch1:       xmcd-3.0.2-motif.patch
Patch2:       xmcd-3.0.2-path.patch
Patch3:       xmcd-3.0.2-noroot.patch
Patch4:       xmcd-3.0.2.noremove.patch
Patch5:       xmcd-3.0.2.dif
Patch6:       gnu_source.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     openmotif
BuildPrereq:	openmotif-devel

%description
A CD player for the X Window System. It supports CDDB through a web
interface. Also included: Command line version CDA and database convert
scripts for other CD players.



Authors:
--------
    Ti Kan <ti@amb.org>

%prep
%setup -q
%patch1 -p1 -b .motif
%patch2 -p1 -b .path
%patch3 -p1 -b .noroot
%patch4 -p1 -b .noremove
%patch5 -b .suse
%patch6 -b .gnu

%build
export PATH=$PATH:/usr/X11R6/bin
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
BATCH_BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
BATCH_LIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11 \
BATCH_XMCDLIB=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd \
BATCH_MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
BATCH_CDDBDIR=$RPM_BUILD_ROOT/var/lib/xmcd/cddb \
BATCH_DISCOGDIR=$RPM_BUILD_ROOT/var/lib/xmcd/discog \
sh install.sh -n -b
ln -s $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/config ../../../../../etc/xmcd
rm -rf  $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/docs
# move binaries in correct place
(cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/bin-*;
 sed -e "s@$RPM_BUILD_ROOT@@g" \
 < $RPM_BUILD_ROOT/usr/X11R6/bin/.xmcd_start > start
 cp start $RPM_BUILD_ROOT/usr/X11R6/bin/.xmcd_start
 sed -e "s@$RPM_BUILD_ROOT@@" < README > README.tmp
 mv README.tmp README )
rm -f $RPM_BUILD_ROOT/usr/X11R6/bin/*
(cd $RPM_BUILD_ROOT/usr/X11R6/bin; \
 ln -s ../lib/X11/xmcd/bin-*/start xmcd; \
 ln -s ../lib/X11/xmcd/bin-*/start cda)
cp $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/config/common.cfg \
   $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/config/cdrom
for i in config/config.sh scripts/genidx ; do
 sed -e "s@$RPM_BUILD_ROOT@@g" \
 < $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/$i \
 > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/$i.tmp
 mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/$i.tmp \
   $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/$i
done
# change setuid
chmod 0755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/bin-*/{cda,xmcd,start,gobrowser}
chmod 0755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/config/config.sh
chmod 0755 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/scripts/genidx
#change perms
chmod 0644 $RPM_BUILD_ROOT/var/lib/xmcd/discog/index.html
chmod 0644 $RPM_BUILD_ROOT/var/lib/xmcd/discog/*/*/index.html
strip $RPM_BUILD_ROOT/usr/X11R6/lib/X11/xmcd/bin-*/{cda,xmcd,gobrowser}
cp %{S:1} $RPM_BUILD_DIR/%{name}-%{version}
%suse_update_desktop_file -i %name AudioVideo Player CD

%files
%defattr(-,root,root)
%doc docs_d/* README.SuSE
/usr/X11R6/bin/*
/usr/X11R6/bin/.xmcd_start
/usr/X11R6/man/*/*
%dir /usr/X11R6/lib/X11/xmcd
%dir /usr/X11R6/lib/X11/xmcd/config
/usr/X11R6/lib/X11/xmcd/app-defaults
/usr/X11R6/lib/X11/xmcd/bin-*
/usr/X11R6/lib/X11/xmcd/help
/usr/X11R6/lib/X11/xmcd/lib-*
/usr/X11R6/lib/X11/xmcd/pixmaps
/usr/X11R6/lib/X11/xmcd/scripts
/usr/X11R6/lib/X11/xmcd/config/.tbl
/usr/X11R6/lib/X11/xmcd/config/config.sh
%config /usr/X11R6/lib/X11/xmcd/config/common.cfg
%config /usr/X11R6/lib/X11/xmcd/config/cdrom
%config /usr/X11R6/lib/X11/xmcd/config/wwwwarp.cfg
%config /usr/X11R6/lib/X11/xmcd/config/device.cfg
/usr/share/applications/*.desktop
%dir /var/lib/xmcd
%dir %attr(755,root,root) /var/lib/xmcd/discog
%dir %attr(755,root,root) /var/lib/xmcd/discog/Blues
%dir %attr(755,root,root) /var/lib/xmcd/discog/Blues/General_Blues
%dir %attr(755,root,root) /var/lib/xmcd/discog/Classical
%dir %attr(755,root,root) /var/lib/xmcd/discog/Classical/General_Classical
%dir %attr(755,root,root) /var/lib/xmcd/discog/Country
%dir %attr(755,root,root) /var/lib/xmcd/discog/Country/General_Country
%dir %attr(755,root,root) /var/lib/xmcd/discog/Data
%dir %attr(755,root,root) /var/lib/xmcd/discog/Data/General_Data
%dir %attr(755,root,root) /var/lib/xmcd/discog/Folk
%dir %attr(755,root,root) /var/lib/xmcd/discog/Folk/General_Folk
%dir %attr(755,root,root) /var/lib/xmcd/discog/Jazz
%dir %attr(755,root,root) /var/lib/xmcd/discog/Jazz/General_Jazz
%dir %attr(755,root,root) /var/lib/xmcd/discog/Newage
%dir %attr(755,root,root) /var/lib/xmcd/discog/Newage/General_Newage
%dir %attr(755,root,root) /var/lib/xmcd/discog/Rock
%dir %attr(755,root,root) /var/lib/xmcd/discog/Rock/General_Rock
%dir %attr(755,root,root) /var/lib/xmcd/discog/Soundtrack
%dir %attr(755,root,root) /var/lib/xmcd/discog/Soundtrack/General_Soundtrack
%dir %attr(755,root,root) /var/lib/xmcd/discog/Unclassifiable
%dir %attr(755,root,root) /var/lib/xmcd/discog/Unclassifiable/General_Unclassifiable
%dir %attr(755,root,root) /var/lib/xmcd/discog/World
%dir %attr(755,root,root) /var/lib/xmcd/discog/World/Reggae
/var/lib/xmcd/discog/*/*/index.html
/var/lib/xmcd/discog/*.html
/var/lib/xmcd/discog/*.gif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n xmcd
* Wed Sep 28 2005 - lnussel@suse.de
- don't package world writeable directories (#103186)
* Fri Sep 19 2003 - ltinkl@suse.cz
- fixed updating packages from older distros (#31270)
* Wed Sep 03 2003 - adrian@suse.de
- add Player Category
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Mon Aug 11 2003 - ltinkl@suse.cz
- fixed bug #28644 (wrong permissions)
* Thu Jul 03 2003 - ro@suse.de
- remove buildroot traces from installed files
* Mon Jun 30 2003 - coolo@suse.de
- don't package all files twice
* Fri Jun 06 2003 - mmj@suse.de
- Package all files
* Fri Sep 20 2002 - jderfina@suse.cz
- Fixed bug when install path depends on processor level (x86 only).
* Thu Sep 05 2002 - jderfina@suse.cz
- move configuration to /etc/xmcd
- fix permissions
* Tue Mar 12 2002 - postadal@suse.cz
- fix specfile (uncomennted %%clean)
* Thu Aug 02 2001 - cihlar@suse.cz
- fixed to compile with -D_GNU_SOURCE - it activates
  part of previous security fix
* Tue Jul 31 2001 - cihlar@suse.cz
- update to version 3.0.2 - security bugs fixes
* Fri Jul 27 2001 - cihlar@suse.cz
- update to version 3.0.1
* Mon Dec 18 2000 - cihlar@suse.cz
- fixed start script
* Fri Dec 01 2000 - cihlar@suse.cz
- changed permissions of /usr/X11R6/lib/X11/xmcd/bin*/cda
  to 2755 root.disk
* Thu Nov 30 2000 - cihlar@suse.cz
- again switched to openmotif
* Thu Nov 30 2000 - cihlar@suse.cz
- moved discography and cddb to /var/lib/xmcd
- fixed bug in warning message
* Mon Nov 20 2000 - cihlar@suse.cz
- switched to openmotif
* Fri Oct 13 2000 - cihlar@suse.cz
- fixed file list
- fixed Copyright tag
- bzipped sources
- added configuration warning to .xmcd_start
* Tue Jul 11 2000 - cihlar@suse.cz
- fixed bug with architecture dependent directory
* Fri May 19 2000 - cihlar@suse.cz
- Group sorted
- /usr/doc/packages -> /usr/share/doc/packages
* Thu Mar 16 2000 - cihlar@suse.cz
- new version 2.6
- added BuildRoot
* Fri Oct 22 1999 - freitag@suse.de
- new version 2.5
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 12 1999 - uli@suse.de
- now builds with lesstif
* Tue Mar 23 1999 - ro@suse.de
- update to 2.4
* Mon Nov 09 1998 - ro@suse.de
- use basename from libc for glibc
* Tue Sep 22 1998 - ro@suse.de
- moved initialisation of errfp into main
* Thu May 07 1998 - fehr@suse.de
- make Imakefile use XmClientDepLib
* Tue Dec 09 1997 - ro@suse.de
- build static and dynamic version
* Mon Oct 06 1997 - rj@suse.de
- xmcd new version 2.2 works with (a)build
